#!/bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin
. /usr/lib/libmodcgi.sh

auto_chk=''; man_chk=''
dhcp_yes_chk=''; dhcp_no_chk=''
ethers_chk=''

if [ "$DNSMASQ_ENABLED" = "yes" ]; then auto_chk=' checked'; else man_chk=' checked'; fi
if [ "$DNSMASQ_DHCP" = "yes" ]; then dhcp_yes_chk=' checked'; else dhcp_no_chk=' checked'; fi
if [ "$DNSMASQ_ETHERS" = "yes" ]; then ethers_chk=' checked'; fi

sec_begin 'Starttyp'

cat << EOF
<p>
<input id="e1" type="radio" name="enabled" value="yes"$auto_chk><label for="e1"> Automatisch</label>
<input id="e2" type="radio" name="enabled" value="no"$man_chk><label for="e2"> Manuell</label>
</p>
EOF

sec_end
sec_begin 'DNS Server'

cat << EOF
<h2>Port, an den der DNS Server gebunden ist:</h2>
<p>Port: <input type="text" name="dns_port" size="5" maxlength="5" value="$(httpd -e "$DNSMASQ_DNS_PORT")"></p>
<h2>Zus&auml;tzliche Kommandozeilen-Optionen (f&uuml;r Experten):</h2>
<p>Optionen: <input type="text" name="options" size="20" maxlength="255" value="$(httpd -e "$DNSMASQ_OPTIONS")"></p>
EOF

sec_end
sec_begin 'DHCP Server'

cat << EOF
<p>
<input id="d1" type="radio" name="dhcp" value="yes"$dhcp_yes_chk><label for="d1"> Aktiviert</label>
<input id="d2" type="radio" name="dhcp" value="no"$dhcp_no_chk><label for="d2"> Deaktiviert</label>
</p>
<h2>DHCP Pool</h2>
<p>Pool: <input type="text" name="dhcp_range" size="40" maxlength="255" value="$(httpd -e "$DNSMASQ_DHCP_RANGE")"></p>
<p>
<input type="hidden" name="ethers" value="no">
<input id="s1" type="checkbox" name="ethers" value="yes"$ethers_chk><label for="s1"> Statische DHCP Leases aus <a href="/cgi-bin/file.cgi?id=exhosts">Hosts</a> (MAC &lt;-&gt; IP)</label><br>
<span style="font-size:10px;">(nur bei Eintr&auml;gen, die eine g&uuml;ltige IP, MAC und einen g&uuml;ltigen Hostnamen haben)</span>
</p>
EOF

sec_end
